<?php

namespace WpieApp\Core\Office\Reader\CSV;

use WP_Error;
use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Delimiter {

        
        const DELIMETERS = [ ',', ';', "\t", '|', ':', '~' ];

        
        private static function fix( $delimiter = "" ) {

                if ( !Helper::isNonEmptyStr( $delimiter ) ) {
                        return "";
                }

                if ( Helper::contains( $delimiter, '\t' ) || Helper::contains( $delimiter, "tab" ) ) {
                        $delimiter = "\t";
                }

                return $delimiter;
        }

        
        public static function get( $fp, $delimiter = "" ) {

                $delimiter = self::fix( $delimiter );

                if ( strpos( $delimiter, "\t" ) !== false || Helper::isNonEmptyStr( $delimiter ) ) {

                        return $delimiter;
                }

                if ( !is_resource( $fp ) ) {
                        return new WP_Error( 'wpieError', __( 'Invalid file resource for detect delimiter', 'wp-import-export' ) );
                }

                \rewind( $fp );

                $contents = fgets( $fp );

                $csvDelim = self::DELIMETERS[ 0 ];

                $count = 0;

                foreach ( self::DELIMETERS as $delimiter ) {

                        $total = count( str_getcsv( $contents, $delimiter ) );

                        if ( $total > $count ) {

                                $csvDelim = $delimiter;

                                $count = $total;
                        }
                }

                \rewind( $fp );

                return $csvDelim;
        }
}
