<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Addons {

        
        const TYPE = "addons";

        
        public static function render( $field ) {

                $addons = isset( $field[ 'data' ] ) ? $field[ 'data' ] : [];
                ?>
                <div class="row row-cols-1 row-cols-md-2 row-cols-lg-2 g-4 mb-4">
                        <?php
                        foreach ( $addons as $addon ) {

                                $title             = isset( $addon[ 'title' ] ) ? $addon[ 'title' ] : "";
                                $isPro             = isset( $addon[ 'isPro' ] ) && $addon[ 'isPro' ] === true ? true : false;
                                $type              = $isPro ? __( 'Premium', 'wp-import-export' ) : __( 'Free', 'wp-import-export' );
                                $description       = isset( $addon[ 'description' ] ) ? $addon[ 'description' ] : "";
                                $required          = isset( $addon[ 'required' ] ) ? $addon[ 'required' ] : [];
                                ?>
                                <div class="col ">
                                        <div class="row p-3 border rounded-1 bg-white h-100 p-0 m-0">
                                                <div class="col-12 m-0 p-0">
                                                        <div class=" bse-fw-600 bse-fs-16 border-bottom pb-3">
                                                                <?php echo esc_html( $title ); ?>
                                                        </div>
                                                </div>
                                                <div class="col-12 bse-fs-14 mt-3 px-0"><?php echo esc_html( $description ); ?></div>
                                                <?php
                                                $plugin            = isset( $required[ 'plugin' ] ) ? $required[ 'plugin' ] : '';
                                                $label             = isset( $required[ 'label' ] ) ? $required[ 'label' ] : $plugin;
                                                $version           = isset( $required[ 'version' ] ) ? $required[ 'version' ] : '';
                                                $hasRequiredPlugin = !Helper::isNonEmptyStr( $plugin ) || Helper::hasRequiredPlugin( $plugin, $version );
                                                $icon              = $hasRequiredPlugin ? 'success' : 'remove';
                                                $colorClass        = $hasRequiredPlugin ? 'success' : 'danger';

                                                if ( ((WPIE_PRO && $isPro ) || !$isPro) && Helper::isNonEmptyArray( $required ) ) {

                                                        if ( !('php' === $plugin && $hasRequiredPlugin ) ) {
                                                                ?>
                                                                <div class="col-12 bse-fs-14 mt-3 px-0">
                                                                        <span class="m-0 me-1 p-0">
                                                                                <img class="bse-w-20" src="<?php echo esc_url( WPIE_ASSETS_URL . '/icons/' . $icon . '.svg' ) ?>" />        
                                                                        </span>
                                                                        <span class="bse-fw-500 text-<?php echo esc_attr( $colorClass ); ?>"><?php echo esc_html( ($hasRequiredPlugin ? __( 'Installed', 'wp-import-export' ) : __( 'Requires', 'wp-import-export' )) . ' ' . $label . ' ' . $version . ' ' . __( 'or higher', 'wp-import-export' ) ); ?></span>
                                                                </div>
                                                        <?php } ?> 
                                                <?php } ?> 
                                                <div class="col-12 align-self-end p-0 m-0 mt-3">
                                                        <div class="float-start border rounded-3 text-primary bg-primary bg-opacity-10 py-2 px-3 shadow-sm"><?php echo esc_html( $type ); ?></div>
                                                        <div class="float-end border rounded-3 text-<?php echo esc_attr( $colorClass ); ?> bg-<?php echo esc_attr( $colorClass ); ?> bg-opacity-10 py-2 px-3 <?php
                                                        if ( !WPIE_PRO && $isPro ) {
                                                                echo \esc_attr( 'd-none' );
                                                        }
                                                        ?>"><?php echo ($hasRequiredPlugin ? esc_html_e( 'Activated', 'wp-import-export' ) : esc_html_e( 'Deactivated', 'wp-import-export' )); ?></div>
                                                </div>
                                        </div>
                                </div>
                        <?php } ?>
                </div>

                <?php
        }
}
