<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Textarea {

        
        const TYPE = "textarea";

        
        const ATTR = [ 'id', 'class', 'name', 'placeholder', 'maxlength', 'pattern', 'readonly', 'disabled', 'required' ];

        
        public static function render( $field ) {

                $html = "";

                $field[ "class" ] = "form-control form-textarea " . (isset( $field[ "class" ] ) ? $field[ "class" ] : "");

                $field[ "type" ] = self::TYPE;

                foreach ( self::ATTR as $attr ) {

                        if ( !isset( $field[ $attr ] ) ) {
                                continue;
                        }

                        $field[ $attr ] = Helper::toString( $field[ $attr ] );

                        $html .= sprintf( ' %1$s="%2$s"', esc_attr( trim( $attr ) ), esc_attr( trim( $field[ $attr ] ) ) );
                }

                $value = (isset( $field[ "value" ] ) ? $field[ "value" ] : "");

                //$html is already escaped in loop                               
                ?>
                <textarea <?php echo $html; //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>><?php echo \esc_textarea( $value ); ?></textarea>

                <?php
        }
}
