<?php


namespace WpieApp\Core\Page\Templates\Standard;

use WpieApp\Core\Page\Page;
use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Footer {

        
        public static function render() {

                self::generate( Page::getFooter() );
        }

        
        public static function generate( $data = [] ) {

                $sections = isset( $data[ 'sections' ] ) ? $data[ 'sections' ] : [];

                if ( !Helper::isNonEmptyArray( $sections ) ) {
                        return;
                }
                ?>
                <div class="wpie-section">
                        <div class="text-center me-3 my-5 pt-5 pb-3 border-bottom border-2"><h2><?php esc_html_e( 'Help & Support', 'wp-import-export' ); ?></h2></div>
                        <div  class="row ms-0 ps-0 me-3 m-auto gap-4 ">

                                <?php
                                foreach ( $sections as $section ) {

                                        $btnClass = isset( $section[ 'btn-class' ] ) && Helper::isNonEmptyStr( $section[ 'btn-class' ] ) ? $section[ 'btn-class' ] : "btn-secondary";
                                        $link     = isset( $section[ 'link' ] ) && Helper::isNonEmptyStr( $section[ 'link' ] ) ? $section[ 'link' ] : "#";
                                       
                                        ?>
                                        <div class="col-md bg-white border rounded-1 p-3 shadow-sm">
                                                <div class="bse-fs-18 bse-fw-500 mb-3"><?php echo isset( $section[ 'title' ] ) ? esc_html( $section[ 'title' ] ) : ""; ?></div>
                                                <a href="<?php echo \esc_url( $link ); ?>" class="shadow-none text-white btn btn-sm mb-4 <?php echo esc_attr( $btnClass ); ?>" target="_blank">
                                                        <?php if ( isset( $section[ 'icon-class' ] ) && Helper::isNonEmptyStr( $section[ 'icon-class' ] ) ) { ?>
                                                                <i class="bse-fs-14 me-1 <?php echo \esc_attr( trim( Helper::toString( $section[ 'icon-class' ] ) ) ); ?>"></i> 
                                                        <?php } ?><?php echo isset( $section[ 'btn' ] ) ? esc_html( $section[ 'btn' ] ) : ""; ?></a>
                                                <div class="bse-fs-14 bse-fw-500 text-secondary"><?php echo isset( $section[ 'desc' ] ) ? esc_html( $section[ 'desc' ] ) : ""; ?></div>
                                        </div>
                                        <?php
                                }
                                ?>
                        </div>
                </div>
                <?php
        }
}
