<?php



namespace WpieApp\Core\Utils\Archive;
use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Base {

        
        protected static function removeExtraFolders( $filename = "", $outputFolder = "" ) {

                $dir = pathinfo( $filename, PATHINFO_DIRNAME );

                if ( !Helper::isNonEmptyStr( $dir ) ) {
                        return;
                }

                $dir = Helper::strToArr( str_replace( [ '/', '\\' ], DIRECTORY_SEPARATOR, $dir ), DIRECTORY_SEPARATOR );

                $baseDir = isset( $dir[ 0 ] ) ? $dir[ 0 ] : "";

                if ( !Helper::isNonEmptyStr( $baseDir ) ) {
                        return;
                }

                $fullPath = $outputFolder . DIRECTORY_SEPARATOR . $baseDir;

                //Verify forder Path before remove folders
                if ( !Helper::strStartsWith( $outputFolder, $fullPath ) || $outputFolder === trim( $fullPath, DIRECTORY_SEPARATOR ) ) {
                        return;
                }

                //remove folders
                Helper::removeDir( $outputFolder . DIRECTORY_SEPARATOR . $baseDir );
        }
}
