<?php



namespace WpieApp\Core\Utils;

use WpieApp\Core\Helpers\Helper;
use wpdb;

defined( 'WPIE__FILE__' ) || exit;


class DB {

        
        const WPIE_TABLE = 'import_export';

        
        public static function wpdb() {
                global $wpdb;
                return $wpdb;
        }

        
        public static function table( $table ) {
                return Helper::isNonEmptyStr( $table ) ? self::prefix() . $table : "";
        }

        
        public static function prefix() {
                return self::wpdb()->prefix;
        }

        
        public static function tableExists( $tableName = "" ) {

                if ( !Helper::isNonEmptyStr( $tableName ) ) {
                        return false;
                }

                if ( self::wpdb()->get_var( self::wpdb()->prepare( 'SHOW TABLES LIKE %s', self::wpdb()->esc_like( self::table( $tableName ) ) ) === self::table( $tableName ) ) ) {
                        return true;
                }

                return false;
        }

        
        public static function getPluginTable() {
                return self::table( Helper::PLUGIN_PREFIX . self::WPIE_TABLE );
        }

        
        public static function removePlaceholder( $query = "" ) {

                if ( !Helper::isNonEmptyStr( $query ) ) {
                        return $query;
                }

                return method_exists( self::wpdb(), "remove_placeholder_escape" ) ? self::wpdb()->remove_placeholder_escape( $query ) : $query;
        }

        
        public static function prepareData( $data = "" ) {

                if ( Helper::isEmpty( $data ) ) {
                        return "";
                }

                if ( is_array( $data ) ) {

                        $data = array_map( [ __CLASS__, 'prepareData' ], $data );

                        return Helper::arrTostr( $data );
                }

                if ( is_int( $data ) || is_float( $data ) ) {
                        return $data;
                }

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return "";
                }

                $query = self::wpdb()->prepare( '%s', $data );

                return Helper::isNonEmptyStr( $query ) ? $query : "";
        }

}
