<?php



namespace WpieApp\Core\Utils;

use WpieApp\Core\Helpers\Helper;
use Box\Spout\Reader\ReaderFactory as BoxReader;
use Box\Spout\Writer\WriterFactory as BoxWriter;
use OpenSpout\Reader\Common\Creator\ReaderFactory;
use OpenSpout\Writer\Common\Creator\WriterFactory;

defined( 'WPIE__FILE__' ) || exit;


class OpenSpout {

        
        public static function getReader( $file = '' ) {

                if ( class_exists( '\OpenSpout\Reader\Common\Creator\ReaderFactory' ) ) {
                        $reader = ReaderFactory::createFromFile( $file );
                } else {
                        $type = Helper::getFileExt( $file );

                        $reader = BoxReader::create( $type );
                }

                $reader->open( $file );

                return $reader;
        }

        
        public static function getWriter( $file = '' ) {

                if ( class_exists( '\OpenSpout\Reader\Common\Creator\ReaderFactory' ) ) {
                        $writer = WriterFactory::createFromFile( $file );
                } else {
                        $type = Helper::getFileExt( $file );

                        $writer = BoxWriter::create( $type );
                }

                $writer->openToFile( $file );

                return $writer;
        }
}
