<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\Base\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ContentField {

        
        public static function isValidField( $type = "" ) {
                return in_array( $type, [ 'file', 'gallery', 'image', 'image_aspect_ratio_crop', 'photo_gallery' ] );
        }

        
        public static function getData( $type = '', $data = [] ) {

                switch ( $type ) {

                        case 'file':
                                $data = Helper::isNonEmptyArray( $data ) ? array_map( [ __CLASS__, 'getAttachUrl' ], $data ) : self::getAttachUrl( $data );
                                $data = Helper::isNonEmptyArray( $data ) ? Helper::arrTostr( $data ) : $data;
                                break;
                        case 'image':
                        case 'image_aspect_ratio_crop':
                                $data = self::getAttachUrl( $data );
                                break;

                        case 'photo_gallery':
                                $data = self::getGalleryUrls( Helper::strToArr( $data ) );
                                break;

                        case 'gallery':
                                $data = self::getGalleryUrls( $data );
                                break;
                }

                return $data;
        }

        
        public static function getGalleryUrls( $data = [] ) {

                return Helper::isNonEmptyArray( $data ) ? \array_map( [ __CLASS__, 'getAttachUrl' ], $data ) : '';
        }

        
        public static function getAttachUrl( $data = [] ) {

                if ( is_numeric( $data ) ) {

                        return \wp_get_attachment_url( $data );
                }

                if ( Helper::isNonEmptyArray( $data ) ) {

                        return isset( $data[ 'url' ] ) ? $data[ 'url' ] : "";
                }

                return "";
        }
}
