<?php



namespace WpieApp\Extensions\Export\Polylang\Controller\Items\Post\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Extensions\Export\Polylang\Controller\Items\Base\DataCenters\Polylang as Base;

defined( 'WPIE__FILE__' ) || exit;


class Polylang extends Base {

        
        public static function getLanguage() {
                return \pll_get_post_language( DataCenter::getId() );
        }


        
        public static function getTranslations() {
 
                $postId = DataCenter::getId();

                $translations = \pll_get_post_translations( $postId );

                $data = [];

                if ( !Helper::isEmpty( $translations ) ) {

                        foreach ( $translations as $lang => $id ) {
                                if ( $postId === $id ) {
                                        continue;
                                }
                                $data[] = [ 'lang' => $lang, 'title' => \get_the_title( $id ) ];
                        }
                }

                unset( $translations );

                return Helper::isNonEmptyArray( $data ) ? Helper::jsonEncode( $data ) : '';
        }
}
