<?php



namespace WpieApp\Extensions\Export\Polylang;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Base\Middleware as BaseMiddleware;
use WpieApp\Extensions\Export\Polylang\View\Manager as View;
use WpieApp\Extensions\Export\Polylang\Controller\Manager as Controller;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        protected $requiredPlugins = [ "Polylang" => '2.6' ];

        
        public function boot() {

                View::init();

                Controller::init();

                $this->addJsonData();
        }

        
        protected function getAssets() {

                return [
                        'scripts' => [
                                Helper::PLUGIN_PREFIX . 'polylang' => [
                                        "src"  => WPIE_EXTENSIONS_URL . '/Export/Polylang/assets/js/polylang.js',
                                        "deps" => [ 'jquery', Helper::PLUGIN_PREFIX . 'admin', Helper::PLUGIN_PREFIX . 'export' ],
                                ],
                        ]
                ];
        }

        
        private function addJsonData() {

                Helper::addJsonData( 'polylangTaxonomy', array_values( PLL()->model->get_translated_taxonomies( false ) ) );

                Helper::addJsonData( "polylangPost", array_values( PLL()->model->get_translated_post_types( false ) ) );

                Helper::addJsonData( "polylangWc", defined( 'PLLWC_VERSION' ) ? 1 : 0 );
        }
}
