<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Post\DataCenters;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Schema {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                return self::getSchema();
        }

        
        private static function getSchema() {

                $postId = DataCenter::getId();

                $data = DB::wpdb()->get_results( DB::wpdb()->prepare( "select `meta_key`,`meta_value` from " . DB::wpdb()->postmeta . " Where `post_id` = %d AND `meta_key` like 'rank_math_schema%' ", $postId ) );

                if ( Helper::isEmpty( $data ) ) {
                        return [];
                }
                $schemas = [];

                foreach ( $data as $schema ) {

                        $schemas[] = [
                                'name' => isset( $schema->meta_key ) ? $schema->meta_key : '',
                                'data' => isset( $schema->meta_value ) ? maybe_unserialize( $schema->meta_value ) : ''
                        ];
                }

                return $schemas;
        }

}
