<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\Engine as PostEngine;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends PostEngine {

        
        protected static function processData( $data = [] ) {
                return DataCenter::init( $data, self::$action );
        }

        
        protected static function buildQuery() {

                $query = parent::buildQuery();

                
                return \apply_filters( 'Wpie/Export/Order/Query', $query, Settings::getContentType() );
        }

        
        protected static function initFilter() {

                
                \do_action( 'Wpie/Export/Order/Filter/Start', Settings::getContentType() );

                Filter::init();

                
                \do_action( 'Wpie/Export/Order/Filter/Init', Settings::getContentType() );
                
                static::initBaseFilter();

                self::$where = Filter::getWhere();
                self::$join  = Filter::getJoin();
        }
}
