<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Meta as MetaField;

defined( 'WPIE__FILE__' ) || exit;


class Other extends Base {

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                $fields = [
                        'customer_ip_address' => '_customer_ip_address',
                        'customer_user_agent' => '_customer_user_agent',
                        'created_via'         => '_created_via',
                        'payment_method'      => '_payment_method',
                        'discount_tax'        => '_cart_discount_tax',
                        'shipping_tax'        => '_order_shipping_tax',
                        'recorded_sales'      => '_recorded_sales',
                        'order_stock_reduced' => '_order_stock_reduced',
                        'order_stock_reduced' => '_transaction_id'
                ];

                self::update( $fields, $element, MetaField::FIELD_TYPE );

                unset( $fields );
        }
}
