<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Shipping extends Base {

        
        private static $items = [];

        
        private static $orderId = 0;

        
        public static function get( $element = "" ) {

                self::setItems();

                return self::getItems( $element );
        }

        
        private static function getItems( $element = "" ) {

                if ( !Helper::isNonEmptyArray( self::$items ) ) {
                        return '';
                }

                $data = [];

                foreach ( self::$items as $item ) {

                        switch ( $element ) {

                                case 'name':
                                        $data[] = $item->get_name();
                                        break;
                                case 'method':
                                        $data[] = $item->get_method_id();
                                        break;
                                case 'cost':
                                        $data[] = $item->get_total();
                                        break;
                                case 'taxes':
                                        $taxes  = $item->get_taxes();
                                        $data[] = isset( $taxes[ 'total' ] ) ? $taxes[ 'total' ] : '';
                                        break;
                                case 'meta':
                                        $data[] = $item->get_formatted_meta_data( '_', true );
                                        break;
                        }
                }

                return $data;
        }

        
        private static function setItems() {

                if ( self::$orderId === DataCenter::getId() ) {
                        return;
                }

                self::$orderId = DataCenter::getId();

                self::$items = DataCenter::getItem()->get_shipping_methods();
        }
}
