<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Attribute as ProductAttribute;

defined( 'WPIE__FILE__' ) || exit;


class Attribute implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"      => \esc_html__( "Product Attributes", 'wp-import-export' ),
                        "priority"   => 50,
                        'comparison' => [ 'string' ],
                        'isExported' => false,
                        "data"       => self::getFields()
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Product/Attributes', $fields, Settings::getContentType() );
        }

        
        private static function getFields() {

                $attributeFields = ProductAttribute::get();

                $fields = isset( $attributeFields[ 'data' ] ) ? $attributeFields[ 'data' ] : [];

                if ( !Helper::isNonEmptyArray( $fields ) ) {
                        return [];
                }

                $attrFields = [];

                foreach ( $fields as $data ) {

                        $dataType = isset( $data[ 'dataType' ] ) ? $data[ 'dataType' ] : "";

                        if ( $dataType !== "value" ) {
                                continue;
                        }

                        $attrFields[] = $data;
                }

                return $attrFields;
        }

}
