<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        const FIELD_TYPE = "standard";

        
        public static function get() {

                $fields = [
                        "title"    => esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'Order ID', 'type' => self::FIELD_TYPE, 'element' => 'id' ],
                                [ 'label' => 'Post Type', 'type' => self::FIELD_TYPE, 'element' => 'type', 'isFiltered' => false, ],
                                [ 'label' => 'Order Key', 'type' => self::FIELD_TYPE, 'element' => 'order_key' ,'table'=>'operational_data'],
                                [ 'label' => 'Order Date', 'type' => self::FIELD_TYPE, 'element' => 'date_created', 'isDate' => true ,'table'=>'stats'],
                                [ 'label' => 'Completed Date', 'type' => self::FIELD_TYPE, 'element' => 'date_completed', 'isDate' => true, 'table'=>'stats'],
                                [ 'label' => 'Order Status', 'type' => self::FIELD_TYPE, 'element' => 'status' ],
                                [ 'label' => 'Order Currency', 'type' => self::FIELD_TYPE, 'element' => 'currency' ],
                                [ 'label' => 'Payment Method Title', 'type' => self::FIELD_TYPE, 'element' => 'payment_method_title' ],
                                [ 'label' => 'Order Total', 'type' => self::FIELD_TYPE, 'element' => 'total' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/WooCommerce/Order/Fields/Standard', $fields, Settings::getContentType() );
        }

}
