<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Tax implements InterfaceField {

        
        const FIELD_TYPE = "tax";

        
        public static function get() {

                $fields = [
                        "title"      => esc_html__( "Tax", 'wp-import-export' ),
                        "priority"   => 90,
                        'isFiltered' => false,
                        "data"       => [
                                [ 'label' => 'Tax Rate Label', 'type' => self::FIELD_TYPE, 'element' => 'name' ],
                                [ 'label' => 'Tax Rate Code', 'type' => self::FIELD_TYPE, 'element' => 'rate_code' ],
                                [ 'label' => 'Tax class', 'type' => self::FIELD_TYPE, 'element' => 'rate_class' ],
                                [ 'label' => 'Tax Rate Percentage', 'type' => self::FIELD_TYPE, 'element' => 'rate_percent' ],
                                [ 'label' => 'Tax Total', 'type' => self::FIELD_TYPE, 'element' => 'tax_total' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Tax', $fields, Settings::getContentType() );
        }

}
