<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Attribute {

        
        private static $meta = [];

        
        public static function getField() {

                $dataType = DataCenter::getFieldOption( "dataType" );

                $element = DataCenter::getFieldOption( "element" );

                $postType = isset( DataCenter::getItem()->post_type ) ? DataCenter::getItem()->post_type : "";

                $metas = self::getMeta( $postType === "product" ? DataCenter::getId() : DataCenter::getItem()->post_parent );

                $attribute = isset( $metas[ $element ] ) ? $metas[ $element ] : [];

                $data = "";

                switch ( $dataType ) {
                        case "isVisible":
                                $data = ( isset( $attribute[ 'is_visible' ] ) && $attribute[ 'is_visible' ] === 1 ? "Yes" : "No");
                                break;
                        case "inVariations":
                                $data = ( isset( $attribute[ 'is_variation' ] ) && $attribute[ 'is_variation' ] === 1 ? "Yes" : "No");
                                break;
                        case "position":
                                $data = ( isset( $attribute[ 'position' ] ) ? $attribute[ 'position' ] : "");
                                break;
                        case "value":
                                $data = self::getVal( $element, $postType, $attribute );
                                break;
                }

                
                return \apply_filters( 'Wpie/Export/Product/Attribute/Data', $data, $dataType );
        }

        
        public static function getMeta( $id = 0 ) {

                if ( !isset( self::$meta[ $id ] ) ) {

                        if ( count( self::$meta ) >= 5 ) {
                                array_shift( self::$meta );
                        }

                        self::$meta[ $id ] = \get_post_meta( $id, '_product_attributes', true );
                }

                return self::$meta[ $id ];
        }

        
        public static function getVal( $taxonomy = "", $postType = "", $attribute = [] ) {

                if ( $postType !== "product" ) {
                        return \get_post_meta( DataCenter::getId(), "attribute_" . $taxonomy, true );
                }

                if ( DataCenter::getFieldOption( "source" ) === "meta" ) {
                        return ( isset( $attribute[ 'value' ] ) ? $attribute[ 'value' ] : "");
                }

                $terms = \get_the_terms( DataCenter::getItem(), $taxonomy );

                if ( $terms === false || is_wp_error( $terms ) ) {
                        return "";
                }

                $data = [];

                foreach ( $terms as $term ) {

                        $data[] = $term->name;
                }

                return count( $data ) > 1 ? Helper::arrTostr( $data, '||' ) : '';
        }

}
