<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields\Meta;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields\Author;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields\Other;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields\Parents;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields\Product;
use WpieApp\Modules\Export\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/Review/Fields/Init', $contentType );

                
                return \apply_filters( 'Wpie/Export/Review/Fields', parent::get(), $contentType );
        }

        
        protected static function getData() {

                return [
                        "standard" => Standard::get(),
                        "product"  => Product::get(),
                        "parent"   => Parents::get(),
                        "author"   => Author::get(),
                        "other"    => Other::get(),
                        "meta"     => Meta::get()
                ];
        }
}
