<?php



namespace WpieApp\Extensions\Export\WooCommerce\View;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Attribute {

        
        public static function get() {

                $attributes = self::getAttribute();
                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Setup/WcAttribute',
                        [
                                "title"     => __( 'Attribute', 'wp-import-export' ),
                                "desc"      => __( 'Manage Attribute', 'wp-import-export' ),
                                "menuClass" => 'wpie-wc-attribute-menu d-none',
                                "order"     => 11,
                                "fields"    => [
                                        "attribute" => [
                                                "order"      => 14,
                                                "label"      => __( 'Attribute List', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "attribute" => [
                                                                "description" => __( 'Product Attribute list', 'wp-import-export' ),
                                                                "class"       => "wpie-attribute-export-option",
                                                                "type"        => "checkbox",
                                                                "name"        => "wc/attribute/data",
                                                                "default"     => array_keys( $attributes ),
                                                                "choices"     => $attributes
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

        
        public static function getAttribute() {

                $data = DB::wpdb()->get_results( 'SELECT `attribute_name`,`attribute_label` FROM ' . DB::table( 'woocommerce_attribute_taxonomies' ) . ' WHERE `attribute_name` != ""  ORDER BY `attribute_id` ASC;' );

                if ( !Helper::isNonEmptyArray( $data ) ) {

                        return [];
                }

                $attributes = [ '' => __( 'All Attribute', 'wp-import-export' ) ];

                foreach ( $data as $attr ) {

                        $name = isset( $attr->attribute_name ) ? $attr->attribute_name : "";

                        $label = isset( $attr->attribute_label ) ? $attr->attribute_label : "";

                        $attributes[ "pa_" . $name ] = $label;
                }

                return $attributes;
        }

}
