<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Attribute;

use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        protected static $attributes;

        
        public static function isAttribute() {

                if ( 'wc' !== Settings::get( 'category' ) || 'attribute' !== Settings::get( 'content_type' ) ) {
                        return false;
                }

                return true;
        }

        
        public static function isTranslatable() {

                global $woocommerce_wpml;

                if ( !$woocommerce_wpml || !isset( $woocommerce_wpml->settings ) ) {
                        return false;
                }

                if ( !defined( 'WPML_ST_VERSION' ) ) {
                        return false;
                }

                return true;
        }

        
        public static function getTranslatable( $attribute ) {

                global $woocommerce_wpml;

                if ( !isset( $woocommerce_wpml->attributes ) ) {
                        return false;
                }
                if ( !is_callable( [ $woocommerce_wpml->attributes, 'is_translatable_attribute' ] ) ) {
                        return false;
                }

                $translatable = $woocommerce_wpml->attributes->is_translatable_attribute( $attribute );

                return ( is_numeric( $translatable ) && absint( $translatable ) === 1);
        }
}
