<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Base\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Base as DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Wpml {

        
        public static function getElementType() {
                return '';
        }

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $element ) ) {
                        return "";
                }

                global $sitepress;

                if ( 'wpml_language' === $element ) {
                        return $sitepress->get_language_for_element( DataCenter::getId(), static::getElementType() );
                }

                if ( 'wpml_language_label' === $element ) {

                        $language = $sitepress->get_language_for_element( DataCenter::getId(), static::getElementType() );

                        $languageData = $sitepress->get_language_details( $language );

                        $label = isset( $languageData[ 'display_name' ] ) ? $languageData[ 'display_name' ] : '';

                        unset( $language, $languageData );

                        return $label;
                }
                if ( 'wpml_translations' === $element ) {

                        return static::getTranslations();
                }
                if ( 'is-translatable' === $element ) {

                        return static::isTranslatable() ? 'Yes' : 'No';
                }

                return '';
        }

        
        public static function getTranslations() {

                if ( !static::isTranslatable() ) {
                        return '';
                }
                
                global $sitepress;

                $itemId = DataCenter::getId();

                $trid = $sitepress->get_element_trid( $itemId, static::getElementType() );

                if ( !is_numeric( $trid ) || absint( $trid ) < 1 ) {
                        return '';
                }

                $translations = $sitepress->get_element_translations( $trid, static::getElementType(), false, true );

                if ( !Helper::isNonEmptyArray( $translations ) ) {
                        return '';
                }

                $data = [];

                foreach ( $translations as $lang => $translation ) {

                        $id = isset( $translation->element_id ) ? absint( $translation->element_id ) : '';

                        if ( $id < 1 || $itemId === $id ) {
                                continue;
                        }
                        $data[] = array_merge( [ 'lang' => $lang ], static::getTranslation( $translation ) );
                }


                unset( $translations );

                return Helper::isNonEmptyArray( $data ) ? Helper::jsonEncode( $data ) : '';
        }

        
        public static function getTranslation( $translation ) {

                return '';
        }

        
        public static function isTranslatable() {

                return true;
        }
}
