<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Taxonomy\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Base\DataCenters\Wpml as Base;

defined( 'WPIE__FILE__' ) || exit;


class Wpml extends Base {

        
        public static function getElementType() {
                return 'tax_' . DataCenter::getItem()->taxonomy;
        }

        
        public static function getTranslation( $translation ) {

                return [ 'title' => isset( $translation->name ) ? $translation->name : '' ];
        }

        
        public static function isTranslatable() {

                if ( 'wc' !== Settings::get( 'category' ) || 'attribute' !== Settings::get( 'content_type' ) ) {
                        return true;
                }

                global $woocommerce_wpml;

                if ( !$woocommerce_wpml || !isset( $woocommerce_wpml->attributes ) ) {
                        return false;
                }

                return 1 === \absint( $woocommerce_wpml->attributes->is_translatable_attribute( DataCenter::getItem()->taxonomy ) );
        }
}
