<?php



namespace WpieApp\Extensions\Export\Wpml\Controller;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Taxonomy\Manager as Taxonomy;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Export/Post/Init', [ __CLASS__, 'initPost' ], 1, 2 );

                \add_action( 'Wpie/Export/Taxonomy/Init', [ __CLASS__, 'initTaxonomy' ], 1, 2 );
        }

        
        public static function initPost( $contentType = '', $category = '' ) {

                global $sitepress;

                if ( !$sitepress->is_translated_post_type( $contentType ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTaxonomy( $contentType = '', $category = '' ) {

                global $sitepress;

                $types = Helper::isNonEmptyStr( $contentType ) ? [ $contentType ] : (Helper::isNonEmptyArray( $contentType ) ? $contentType : []);

                if ( !Helper::isNonEmptyArray( $types ) ) {
                        return;
                }

                $isTranslatedTaxonomy = false;

                foreach ( $types as $taxonomy ) {
                        if ( $sitepress->is_translated_taxonomy( $taxonomy ) ) {
                                $isTranslatedTaxonomy = true;
                                break;
                        }
                }

                if ( !$isTranslatedTaxonomy ) {
                        return;
                }

                Taxonomy::init();
        }

}
