<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines\Relational;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\Search;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class User {

        
        public static function getData( $data = [], $field = [], $key = '' ) {

                $multiple = isset( $field[ 'multiple' ] ) ? \absint( $field[ 'multiple' ] ) : 0;

                $separator = DataCenter::get( 'acf/' . $key . '/separator' );

                $data = Helper::strToArr( $data, Helper::isNonEmptyStr( $separator ) ? $separator : '||' );

                $users = [];

                foreach ( $data as $user ) {

                        $id = Search::getUserIdBy( 'email', $user );

                        if ( $id < 1 ) {
                                $id = Search::getUserIdBy( 'login', $user );
                        }
                        if ( $id < 1 ) {
                                continue;
                        }

                        $users[] = $id;
                }

                return (1 === $multiple) || !Helper::isNonEmptyArray( $users ) ? $users : array_shift( $users );
        }
}
