<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Base {

        
        protected static $fieldTypes = [];

        
        public static function getField( $field = [], $order = 5 ) {

                $key = isset( $field[ 'key' ] ) ? $field[ 'key' ] : "";

                $label = isset( $field[ 'label' ] ) ? $field[ 'label' ] : "";

                $type = isset( $field[ 'type' ] ) ? $field[ 'type' ] : "";

                return [
                        "title"    => $label,
                        "desc"     => $label,
                        "order"    => $order,
                        "isActive" => 5 === $order,
                        "fields"   => [
                                "field" => [
                                        "order"      => 5,
                                        "label"      => $label,
                                        "sub-fields" => [
                                                "field" => [
                                                        "description" => $label,
                                                        "name"        => "fields/acf/" . $key . "/data",
                                                        "type"        => "textarea",
                                                        "hint"        => static::getHints( $type )
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

        
        public static function isAllowed( $type = '' ) {
                return in_array( $type, static::$fieldTypes );
        }

        
        protected static function getHints( $type = '' ) {

                return [
                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                ];
        }
}
