<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Relational extends Base {

        
        protected static $fieldTypes = [ 'acfe_advanced_link', 'link', 'page_link', 'post_object', 'relationship', 'taxonomy', 'acfe_taxonomy_terms', 'user' ];

        
        public static function getField( $field = [], $order = 5 ) {

                $type = isset( $field[ 'type' ] ) ? $field[ 'type' ] : "";

                if ( 'user' !== $type ) {
                        return parent::getField( $field, $order );
                }

                $key = isset( $field[ 'key' ] ) ? $field[ 'key' ] : "";

                $label = isset( $field[ 'label' ] ) ? $field[ 'label' ] : "";

                return [
                        "title"    => $label,
                        "desc"     => $label,
                        "order"    => $order,
                        "isActive" => 5 === $order,
                        "fields"   => [
                                "field" => [
                                        "order"      => 5,
                                        "label"      => $label,
                                        "sub-fields" => [
                                                "field"     => [
                                                        "description" => $label,
                                                        "name"        => "fields/acf/" . $key . "/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Enter username or email', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Multiple data separated by', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple data Separator', 'wp-import-export' ),
                                                        "name"        => "fields/acf/" . $key . "/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : ||', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Multiple data separated by', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

        
        protected static function getHints( $type = '' ) {

                $hints = parent::getHints( $type );

                $hints[] = [ 'text' => __( 'Supports only exported data from same plugin', 'wp-import-export' ), 'class' => 'text-danger' ];

                return $hints;
        }
}
