<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Fields\Multilingual\Language;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Fields\Multilingual\Translations;

defined( 'WPIE__FILE__' ) || exit;


class Multilingual implements InterfaceField {

        
        protected static $prefix = 'post';

        
        public static function get() {

                $fields = [
                        "label"        => __( 'Polylang', 'wp-import-export' ),
                        "class"        => "wpie-polylang-fields",
                        "order"        => 32,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/Base/Fields/Polylang/Multilingual', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {

                return [
                        "polylang/language"     => Language::getBlocks(),
                        "polylang/translations" => Translations::getBlocks( static::$prefix ),
                ];
        }
}
