<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\Search\Post;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Filters as BaseFilters;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Product\Filters as ProductFilters;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Term\Filters as TermFilters;

defined( 'WPIE__FILE__' ) || exit;


class Filters extends BaseFilters {

        
        protected static $isInit = false;

        
        protected static function remove() {

                ProductFilters::remove();

                \remove_action( 'save_post', [ \PLL()->posts, 'save_post' ], 10 );
                \remove_action( 'set_object_terms', [ \PLL()->posts, 'set_object_terms' ], 10 );
                \remove_filter( 'wp_insert_post_parent', [ \PLL()->posts, 'wp_insert_post_parent' ], 10 );
                \remove_action( 'before_delete_post', [ \PLL()->posts, 'delete_post' ] );

                // Specific for media
                if ( \PLL()->options[ 'media_support' ] ) {
                        \remove_action( 'add_attachment', [ \PLL()->posts, 'set_default_language' ] );
                        \remove_action( 'delete_attachment', [ \PLL()->posts, 'delete_post' ] );
                        \remove_filter( 'wp_delete_file', [ \PLL()->posts, 'wp_delete_file' ] );
                }
        }

        
        public static function removeMeta() {

                if ( !isset( \PLL()->sync ) || !isset( \PLL()->sync->post_metas ) ) {
                        return;
                }

                \remove_filter( 'pll_translate_post_meta', [ \PLL()->sync->post_metas, 'translate_thumbnail_id' ], 10 );

                \remove_action( "add_post_metadata", [ \PLL()->sync->post_metas, 'can_synchronize_metadata' ], 1 );
                \remove_action( "update_post_metadata", [ \PLL()->sync->post_metas, 'can_synchronize_metadata' ], 1 );
                \remove_action( "delete_post_metadata", [ \PLL()->sync->post_metas, 'can_synchronize_metadata' ], 1 );

                if ( \is_callable( \PLL()->sync->post_metas, 'remove_all_meta_actions' ) ) {
                        \PLL()->sync->post_metas->remove_all_meta_actions();
                } else {
                        self::removeMetaManually( \PLL()->sync->post_metas, 'post' );
                }

                \remove_action( "pll_save_post", [ \PLL()->sync->post_metas, 'save_object' ], 10 );

                TermFilters::removeMeta();
        }

        
        protected static function add() {

                \add_filter( 'Wpie/Import/Item/Query/Join', [ __CLASS__, 'addJoin' ], 10, 2 );

                \add_filter( 'Wpie/Import/Item/Query/Where', [ __CLASS__, 'addWhere' ], 10, 2 );

                //update Term Language
                \add_action( 'create_term', [ __CLASS__, 'updateTerm' ], 1, 3 );
        }

        
        public static function addJoin( $join = '', $table = '' ) {

                if ( !Helper::isNonEmptyStr( static::getLanguage() ) ) {
                        return $join;
                }

                $join .= \PLL()->model->post->join_clause( $table );

                return $join;
        }

        
        public static function addWhere( $where = '', $table = '' ) {

                if ( !Helper::isNonEmptyStr( static::getLanguage() ) ) {
                        return $where;
                }

                $query = \PLL()->model->post->where_clause( static::getLanguage() );

                return ' (' . $where . ') ' . $query;
        }

        
        public static function getTranslation( $lang, $options ) {

                static::$language = $lang;

                $post = Post::Search( $options );

                static::$language = '';

                return $post;
        }

        
        public static function updateTerm( $termId, $termTaxonomyId, $taxonomy ) {

                if ( in_array( $taxonomy, [ 'language', 'term_language', 'post_translations', 'term_translations' ] ) ) {
                        return;
                }

                \PLL()->model->term->set_language( $termId, static::getLanguage() );
        }
}
