<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\NoIndex;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\NoFollow;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\NoArchive;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\NoImageIndex;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\NoSnippet;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\MaxSnippet;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\MaxVideoPreview;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\MaxImagePreview;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\CanonicalUrl;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\BreadcrumbTitle;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced\Redirection;

defined( 'WPIE__FILE__' ) || exit;


class Advanced implements InterfaceField {

        
        public static function get() {

                return [
                        "label"        => __( 'RankMath SEO - Advanced', 'wp-import-export' ),
                        "class"        => "wpie-rankmathseo-advanced-fields",
                        "order"        => 32.1,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "rankmathseo/advanced/noindex"           => NoIndex::getBlocks(),
                        "rankmathseo/advanced/nofollow"          => NoFollow::getBlocks(),
                        "rankmathseo/advanced/noarchive"         => NoArchive::getBlocks(),
                        "rankmathseo/advanced/noimageindex"      => NoImageIndex::getBlocks(),
                        "rankmathseo/advanced/nosnippet"         => NoSnippet::getBlocks(),
                        "rankmathseo/advanced/max_snippet"       => MaxSnippet::getBlocks(),
                        "rankmathseo/advanced/max_video_preview" => MaxVideoPreview::getBlocks(),
                        "rankmathseo/advanced/max_image_preview" => MaxImagePreview::getBlocks(),
                        "rankmathseo/advanced/canonical_url"     => CanonicalUrl::getBlocks(),
                        "rankmathseo/advanced/breadcrumb_title"  => BreadcrumbTitle::getBlocks(),
                        "rankmathseo/advanced/redirection"       => Redirection::getBlocks(),
                ];
        }
}
