<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\General\Title;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\General\Description;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\General\FocusKeyword;

defined( 'WPIE__FILE__' ) || exit;


class General implements InterfaceField {

        
        public static function get() {

                return [
                        "label"        => __( 'RankMath SEO - General', 'wp-import-export' ),
                        "class"        => "wpie-rankmathseo-general-fields",
                        "order"        => 32,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {
                return [
                        "rankmathseo/general/title"         => Title::getBlocks(),
                        "rankmathseo/general/description"   => Description::getBlocks(),
                        "rankmathseo/general/focus_keyword" => FocusKeyword::getBlocks(),
                ];
        }
}
