<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\User\Search\User;

defined( 'WPIE__FILE__' ) || exit;


class Usage {

        
        public static function update() {


                if ( DataCenter::canUpdate( 'usage/used_by' ) ) {

                        $usedBy = DataCenter::get( "usage/used_by/data" );

                        Meta::update( '_used_by', self::getUsedBy( $usedBy ) );
                }

                if ( DataCenter::canUpdate( 'usage/usage_count' ) ) {

                        $count = DataCenter::get( "usage/usage_count/data" );

                        Meta::update( 'usage_count', Helper::toNumber( $count ) );
                }
        }

        
        private static function getUsedBy( $usedBy = '' ) {

                if ( Helper::isNonEmptyStr( $usedBy ) ) {
                        return '';
                }

                $list = Helper::strToArr( $usedBy );

                $users = [];

                foreach ( $list as $data ) {

                        $id = User::search( [ "args" => [
                                                [ "key" => 'email', "value" => $data, 'relation' => 'or' ],
                                                [ "key" => "login", "value" => $data, 'relation' => 'or' ]
                                ] ] );

                        if ( $id > 0 ) {
                                $users[] = $id;
                        }
                }

                return Helper::arrTostr( $users );
        }

}
