<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageLimits\UsageLimitPerCoupon;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageLimits\LimitUsageToXItems;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageLimits\UsageLimitPerUser;

defined( 'WPIE__FILE__' ) || exit;


class UsageLimits implements InterfaceField {

        
        public static function get() {

                return [
                        "label"  => __( 'Usage Limits', 'wp-import-export' ),
                        "class"  => "wpie-usage-limits-fields",
                        "order"  => 25,
                        "blocks" => [
                                "usage_limit/usage_limit"            => UsageLimitPerCoupon::getBlocks(),
                                "usage_limit/limit_usage_to_x_items" => LimitUsageToXItems::getBlocks(),
                                "usage_limit/usage_limit_per_user"   => UsageLimitPerUser::getBlocks(),
                        ]
                ];
        }

}
