<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Product\Item;

defined( 'WPIE__FILE__' ) || exit;


class ItemBase {

        
        protected static $data = [];

        
        protected static $existing = [];

        
        protected static $type = '';

        
        public static function update() {

                static::$data = [];

                static::$existing = [];

                static::parepare();

                static::process();

                static::endProcess();
        }

        
        protected static function parepare() {
                
        }

        
        protected static function process() {

                if ( !Helper::isNonEmptyArray( static::$data ) ) {
                        return;
                }

                $tempData = static::$data;

                $firstElement = array_shift( $tempData );

                for ( $i = 0; $i < count( $firstElement ); $i++ ) {
                        static::processItem( $i );
                }

                unset( $tempData, $firstElement );
        }

        
        protected static function endProcess() {
                
        }

        
        protected static function processItem( $index = 0 ) {
                
        }

        
        protected static function getData( $key = '', $index = 0 ) {

                return ( isset( static::$data[ $key ] ) && isset( static::$data[ $key ][ $index ] ) ) ? static::$data[ $key ][ $index ] : '';
        }

        
        protected static function parepareData( $key = '', $canUpdate = true ) {

                if ( $canUpdate && !DataCenter::canUpdate( static::$type . "/" . $key ) ) {
                        return;
                }

                $val = DataCenter::get( static::$type . "/" . $key . "/data" );

                if ( !Helper::isNonEmptyStr( $val ) ) {
                        return;
                }

                $separator = DataCenter::get( static::$type . "/" . $key . "/separator" );

                $separator = Helper::isNonEmptyStr( $separator ) ? $separator : '||';

                static::$data[ $key ] = Helper::strToArr( $val, $separator );
        }

        
        protected static function parepareJSONData( $key = '' ) {

                if ( !DataCenter::canUpdate( static::$type . "/" . $key ) ) {
                        return;
                }

                $val = DataCenter::get( static::$type . "/" . $key . "/data" );

                if ( !Helper::isNonEmptyStr( $val ) ) {
                        return;
                }

                static::$data[ $key ] = Helper::jsonDecode( $val, true );
        }

        
        protected static function getTaxRateIds( $data = '' ) {

                return Helper::safeArrayCombine( Tax::getRateIds(), $data );
        }
}
