<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Term\Search;

defined( 'WPIE__FILE__' ) || exit;


class Shipping {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "shipping/weight" ) ) {
                        $data[ 'weight' ] = Helper::toNumber( DataCenter::get( "shipping/weight/data" ) );
                }
                if ( DataCenter::canUpdate( "shipping/dimensions" ) ) {
                        $data[ 'length' ] = Helper::toNumber( DataCenter::get( "shipping/length/data" ) );
                        $data[ 'width' ]  = Helper::toNumber( DataCenter::get( "shipping/width/data" ) );
                        $data[ 'height' ] = Helper::toNumber( DataCenter::get( "shipping/height/data" ) );
                }

                if ( DataCenter::canUpdate( "shipping/shipping-class" ) ) {
                        $data[ 'shipping_class_id' ] = self::getShippingClass();
                }

                return $data;
        }

        
        public static function getShippingClass() {

                $shippingClass = DataCenter::get( "shipping/shipping-class/data" );

                if ( !Helper::isNonEmptyStr( $shippingClass ) || $shippingClass === '-1' || 'no shipping class' === trim( strtolower( $shippingClass ) ) || 'no shipping' === trim( strtolower( $shippingClass ) ) ) {
                        return 0;
                }

                $taxonomy = 'product_shipping_class';

                $termId = Search::findTerm( '', $shippingClass, $taxonomy );

                if ( $termId > 0 ) {
                        return $termId;
                }

                $term = \wp_insert_term( \ucfirst( $shippingClass ), $taxonomy );

                if ( \is_wp_error( $term ) ) {
                        return 0;
                }

                return Helper::isNonEmptyArray( $term ) && isset( $term[ 'term_id' ] ) ? $term[ 'term_id' ] : 0;
        }
}
