<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\Fields as PostFields;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Standard;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Taxonomy;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Price;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Variation;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Type;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Attributes;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\DataAndVisibility;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\General;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Downloadable;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Shipping;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\LinkedProducts;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Advanced;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Other;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends PostFields {

        
        public static function getFields() {

                return array_replace(
                        parent::getFields(),
                        [
                                "standard"            => Standard::get(),
                                "taxonomy"            => Taxonomy::get(),
                                "price"               => Price::get(),
                                "stock"               => Stock::get(),
                                "variation"           => Variation::get(),
                                "type"                => Type::get(),
                                "attributes"          => Attributes::get(),
                                "data-and-visibility" => DataAndVisibility::get(),
                                "general"             => General::get(),
                                "downloadable"        => Downloadable::get(),
                                "shipping"            => Shipping::get(),
                                "linked-products"     => LinkedProducts::get(),
                                "advanced"            => Advanced::get(),
                                "other"               => Other::get()
                        ]
                );
        }

}
