<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Advanced\PurchaseNote;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Advanced\Review;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Advanced\MenuOrder;

defined( 'WPIE__FILE__' ) || exit;


class Advanced implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/Advanced', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Advanced', 'wp-import-export' ),
                        "class"  => "wpie-wc-advanced-fields",
                        "order"  => 12.11,
                        "blocks" => [
                                "advanced/purchase-note" => PurchaseNote::getBlocks(),
                                "standard/comment_status"           => Review::getBlocks(),
                                "standard/menu_order"               => MenuOrder::getBlocks(),
                        ]
                ];
        }

}
