<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Shipping;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ShippingClass {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Shipping Class', 'wp-import-export' ),
                        "desc"   => __( 'Product Shipping Class', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "shipping-class" => [
                                        "order"      => 10,
                                        "label"      => __( 'Product Shipping Class', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "shipping-class" => [
                                                        "description"   => __( 'Product Shipping Class', 'wp-import-export' ),
                                                        "name"          => "fields/shipping/shipping-class/data",
                                                        "type"          => "radio",
                                                        "default"       => "-1",
                                                        "choices"       => self::getShippingClass(),
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Option specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "-1"           => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "shipping-class-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'Add Shipping Class name or slug. If the shipping class does not exist then it will auto create.', 'wp-import-export' ),
                                                                                                "name"        => "fields/shipping/shipping-class/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

        
        public static function getShippingClass() {

                $shippingClasses = \WC()->shipping()->get_shipping_classes();

                $data = [
                        '-1' => __( 'No shipping class', 'wp-import-export' )
                ];

                if ( !Helper::isNonEmptyArray( $shippingClasses ) ) {
                        $data[ "as_specified" ] = __( "As specified", 'wp-import-export' );
                        return $data;
                }

                foreach ( $shippingClasses as $shippingClass ) {

                        $slug = isset( $shippingClass->slug ) ? $shippingClass->slug : '';

                        $data[ $slug ] = isset( $shippingClass->name ) ? $shippingClass->name : '';
                }

                $data[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return $data;
        }

}
