<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Fields\Multilingual as BaseMultilingual;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Attribute\Engine as Attribute;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Fields\Translation\IsTranslatable;

defined( 'WPIE__FILE__' ) || exit;


class Multilingual extends BaseMultilingual implements InterfaceField {

        
        protected static $prefix = 'term';

        
        public static function get() {
                
                return \apply_filters( 'Wpie/Import/Term/Fields/Wpml/Multilingual', parent::get(), Settings::getContentType() );
        }

        
        protected static function getFields() {

                $fields = parent::getFields();

                if ( Attribute::isAttribute() && Attribute::isTranslatable() ) {
                        $fields[ "wpml/is-translatable" ] = IsTranslatable::getBlocks();
                }

                return $fields;
        }
}
