<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post;

use WPSEO_Meta;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines\General;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines\Social;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines\Advanced;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines\Schema;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines\News;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines\Video;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        public static function init() {

                $data = \array_merge(
                        General::get(),
                        Social::get(),
                        Advanced::get(),
                        Schema::get(),
                        News::get(),
                        Video::get()
                );

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return;
                }

                foreach ( $data as $key => $val ) {
                        WPSEO_Meta::set_value( $key, $val, DataCenter::getId() );
                }
        }
}
