<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Advanced as Base;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Advanced\NoFollow;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Advanced\NoArchive;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Advanced\NoImageIndex;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Advanced\NoSnippet;

defined( 'WPIE__FILE__' ) || exit;


class Advanced extends Base implements InterfaceField {

        
        public static function get() {
                
                return \apply_filters( 'Wpie/Import/Post/Fields/YoastSeo/Advanced', parent::get(), Settings::getContentType() );
        }

        
        protected static function getFields() {
                
                return \array_merge(
                        parent::getFields(),
                        [
                                "yoastseo/advanced/nofollow"     => NoFollow::getBlocks(),
                                "yoastseo/advanced/noarchive"    => NoArchive::getBlocks(),
                                "yoastseo/advanced/noimageindex" => NoImageIndex::getBlocks(),
                                "yoastseo/advanced/nosnippet"    => NoSnippet::getBlocks(),
                        ]
                );
        }
}
