<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Schema\PageType;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Schema\ArticleType;

defined( 'WPIE__FILE__' ) || exit;


class Schema implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "label"  => __( 'Yoast SEO - Schema', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-schema-fields",
                        "order"  => 32.3,
                        "blocks" => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/Post/Fields/YoastSeo/Schema', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {

                $schema = [ "yoastseo/schema/page_type" => PageType::getBlocks() ];

                if ( 'wc' !== Settings::get( 'category' ) || 'product' !== Settings::get( 'content_type' ) ) {
                        $schema [ "yoastseo/schema/article_type" ] = ArticleType::getBlocks();
                }

                return $schema;
        }
}
