<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        public static function processField( $field = '' ) {

                static::updateGeneral( $field );

                static::updateSocial( $field );

                static::updateSchema( $field );
        }

        
        protected static function updateGeneral( $field = "" ) {

                $fields = [
                        'seotitle'                            => 'title',
                        'seometadescription'                  => 'metadesc',
                        'seorobotsnoindex'                    => 'noindex',
                        'seodisableseoanalysis'               => 'seoanalysis',
                        'seodisablereadabilityanalysis'       => 'readabilityanalysis',
                        'seodisableinclusivelanguageanalysis' => 'inclusive_language_analysis_disable'
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/general/' . $fields[ $field ], $field );
        }

        
        protected static function updateSocial( $field = "" ) {



                $fields = [
                        'seofacebookprofileurl'     => 'facebook',
                        'seoinstagramprofileurl'    => 'instagram',
                        'seolinkedinprofileurl'     => 'linkedin',
                        'seomyspaceprofileurl'      => 'myspace',
                        'seopinterestprofileurl'    => 'pinterest',
                        'seosoundcloudprofileurl'   => 'soundcloud',
                        'seotumblrprofileurl'       => 'tumblr',
                        'seotwitterusernamewithout' => 'twitter',
                        'seoyoutubeprofileurl'      => 'youtube',
                        'seowikipediapageaboutyou'  => 'wikipedia',
                        'seomastodonprofileurl'     => 'mastodon'
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/social/' . $fields[ $field ], $field );
        }

        
        protected static function updateSchema( $field = "" ) {


                $fields = [
                        'seohonorificprefix' => 'prefix',
                        'seohonorificsuffix' => 'suffix',
                        'seobirthdate'       => 'date',
                        'seogender'          => 'gender',
                        'seoawards'          => 'awards',
                        'seoexpertisein'     => 'expertise',
                        'seolanguagesspoken' => 'language',
                        'seojobtitle'        => 'job_title',
                        'seoemployername'    => 'employer_name'
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/schema/' . $fields[ $field ], $field );
        }
}
