<?php



namespace WpieApp\Modules\Base\Controller;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Resource\Resource;

defined( 'WPIE__FILE__' ) || exit;


class RecordsPerIteration {

        
        protected static $resourceLimit = 80;

        
        protected static $numberLimit = 500;

        
        protected static function calculate( $data, $total ) {

                $limit = $total > 0 ? $total : self::$numberLimit;

                $data[ 'max' ] = isset( $data[ 'max' ] ) && Helper::toInt( $data[ 'max' ] ) > 0 ? Helper::toInt( $data[ 'max' ] ) : 100;

                $data[ 'min' ] = isset( $data[ 'min' ] ) && Helper::toInt( $data[ 'min' ] ) > 0 ? Helper::toInt( $data[ 'min' ] ) : 1;

                $data[ 'number' ] = isset( $data[ 'number' ] ) && Helper::toInt( $data[ 'number' ] ) > 0 ? Helper::toInt( $data[ 'number' ] ) : 50;

                $data[ 'fail' ] = isset( $data[ 'fail' ] ) && Helper::toInt( $data[ 'fail' ] ) > 0 ? Helper::toInt( $data[ 'fail' ] ) : $limit;

                if ( Resource::isExceeded( self::$resourceLimit ) ) {
                        $data[ 'fail' ]   = $data[ 'number' ];
                        $data[ 'number' ] = Helper::toInt( ($data[ 'min' ] + $data[ 'max' ]) / 2 );
                } else {
                        $data[ 'min' ]    = $data[ 'number' ];
                        $data[ 'max' ]    = $data[ 'max' ] * 2;
                        $data[ 'number' ] = $data[ 'number' ] * 2;
                }

                if ( $data[ 'min' ] >= $total ) {
                        $data[ 'min' ] = $total;
                }
                if ( $data[ 'max' ] >= $data[ 'fail' ] ) {
                        $data[ 'max' ] = $data[ 'fail' ];
                }

                if ( $data[ 'number' ] >= $data[ 'max' ] ) {
                        $data[ 'number' ] = ($data[ 'max' ] + $data[ 'min' ]) / 2;
                }

                return $data;
        }
}
