<?php



namespace WpieApp\Modules\Debug\View\Logs;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Debug\View\Logs\SystemInfo\Manager as SystemInfoManager;

defined( 'WPIE__FILE__' ) || exit;


class SystemInfo {

        
        public static function getBlocks() {


                $files = scandir( WPIE_LOG_DIR );

                $debugFiles = Helper::isNonEmptyArray( $files ) ? array_diff( $files, [ '.', '..', '.htaccess', 'index.html' ] ) : [];

                if ( Helper::isNonEmptyArray( $debugFiles ) ) {
                        $debugFiles = array_combine( $debugFiles, $debugFiles );
                        arsort( $debugFiles );
                } else {
                        $debugFiles = [];
                }


                
                return \apply_filters(
                        'Wpie/Modules/Debug/View/System/Info',
                        [
                                "title"    => __( 'System Info', 'wp-import-export' ),
                                "order"    => 10,
                                "isActive" => true,
                                "desc"     => __( 'View System Info', 'wp-import-export' ),
                                "fields"   => [
                                        "system-info" => [
                                                "order"      => 10,
                                                "sub-fields" => [
                                                        "system-info" => [
                                                                "type" => "system-info",
                                                                "apply-default-class" => false,
                                                                "bg-class" => "bg-white",
                                                                "data" => SystemInfoManager::get()
                                                        ],
                                                ],
                                        ],
                                ]
                        ]
                );
        }

}
