<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

defined( 'WPIE__FILE__' ) || exit;


class Filesystem {

        
        public static function get() {

                $upload_dir = wp_upload_dir();
                return [
                        "label" => __( 'Filesystem Permissions', 'wp-import-export' ),
                        "order" => 70,
                        "data"  => [
                                'wp-import-export' => [
                                        'label' => __( 'WP Import Export Upload directory', 'wp-import-export' ),
                                        'data'  => \wp_is_writable( WPIE_UPLOAD_DIR )
                                ],
                                'wordpress'        => [
                                        'label' => __( 'The main WordPress directory', 'wp-import-export' ),
                                        'data'  => \wp_is_writable( ABSPATH )
                                ],
                                'wp-content'       => [
                                        'label' => __( 'The wp-content directory', 'wp-import-export' ),
                                        'data'  => \wp_is_writable( WP_CONTENT_DIR )
                                ],
                                'uploads'          => [
                                        'label' => __( 'The uploads directory', 'wp-import-export' ),
                                        'data'  => \wp_is_writable( $upload_dir[ 'basedir' ] )
                                ],
                                'plugins'          => [
                                        'label' => __( 'The plugins directory', 'wp-import-export' ),
                                        'data'  => \wp_is_writable( WP_PLUGIN_DIR )
                                ],
                                'themes'           => [
                                        'label' => __( 'The themes directory', 'wp-import-export' ),
                                        'data'  => \wp_is_writable( \get_theme_root( \get_template() ) )
                                ],
                        ]
                ];
        }

}
