<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

use WpieApp\Core\Utils\Cron;

defined( 'WPIE__FILE__' ) || exit;


class Plugin {

        
        public static function get() {

                $isActive = Cron::isActive();

                return [
                        "label" => __( 'Plugin', 'wp-import-export' ),
                        "order" => 10,
                        "data"  => [
                                'version'       => [
                                        'label' => __( 'Version', 'wp-import-export' ),
                                        'data'  => WPIE_VERSION
                                ],
                                'subscription'  => [
                                        'label' => __( 'Subscription plan', 'wp-import-export' ),
                                        'data'  => WPIE_PRO ? __( 'Premium', 'wp-import-export' ) : __( 'Free', 'wp-import-export' ),
                                        "class" => "text-success"
                                ],
                                'external-cron' => [
                                        'label' => __( 'Is External Cron Active?', 'wp-import-export' ),
                                        'data'  => $isActive
                                ]
                        ]
                ];
        }
}
