<?php



namespace WpieApp\Modules\Export\Controller\Items\Base\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Office\Writer\CSV\Writer as Csv;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Writer {

        
        private static $writer;

        
        private static function init() {

                if ( self::$writer ) {
                        return;
                }

                self::$writer = new Csv();

                $options = [ "delimiter" => "," ];

                if ( Settings::getOption( 'options/file/format' ) === "csv" && Helper::isNonEmptyStr( Settings::getOption( 'options/file/delimiter' ) ) ) {
                        $options[ "delimiter" ] = Settings::getOption( 'options/file/delimiter' );
                }

                self::$writer->load( Settings::getFilePath(), $options );
        }

        
        public static function add( $data = [] ) {

                self::init();

                self::$writer->addRow( $data );
        }

}
