<?php



namespace WpieApp\Modules\Export\Controller\Items\Base\Engine;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Base {

        
        protected static $action = 'export';

        
        protected static $data = [];

        
        protected static $where = [];

        
        protected static $join = [];

        
        protected static function getData() {
                return [];
        }

        
        public static function init( $action = null ) {

                if ( !Helper::isNonEmptyStr( $action ) ) {
                        return false;
                }

                self::$action = Helper::sanitizeKey( $action );

                return static::getData();
        }

        
        public static function filterWhere( $where = "" ) {

                $filters = self::$where;

                if ( Helper::isNonEmptyArray( $filters ) ) {

                        $queryWhere = Helper::strTrim( implode( ' ', $filters ), [ "or", "and" ] );

                        $where .= " AND ( " . $queryWhere . ") ";
                }

                return \apply_filters( 'Wpie/Export/Filter/Where', $where );
        }

        
        public static function filterJoin( $join = "" ) {

                $filters = self::$join;

                if ( Helper::isNonEmptyArray( $filters ) ) {

                        $join .= " " . implode( " ", $filters ) . " ";
                }

                return $join;
        }

        
        public static function addWhereJoin( $data = null ) {

                if ( is_array( $data ) && isset( $data[ 'where' ] ) ) {

                        $data[ 'join' ] = self::filterJoin( $data[ 'join' ] );

                        $data[ 'where' ] = self::filterWhere( $data[ 'where' ] );
                } elseif ( is_object( $data ) && isset( $data->query_where ) ) {

                        $data->query_from = self::filterJoin( $data->query_from );

                        $data->query_where = self::filterWhere( $data->query_where );
                }

                return $data;
        }

        
        public static function initBaseFilter() {

                
                \do_action( 'Wpie/Export/Base/Filter/Init', Settings::getContentType() );
        }

        
        protected static function buildQuery() {
                
                return \apply_filters( 'Wpie/Export/Base/Query', [], Settings::getContentType() );
        }
}
