<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\Filters;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Comment\Filter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends BaseFilter {
        
         
        protected static $isJoinQueryAdded = false;

        
        protected static $tableAlias = "commentmeta";

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                self::addJoinQuery();

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $field = self::getTableAlias() . ".`meta_value`";

                $comparison = Filter::getOption( 'comparison' );

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                if ( Helper::isNonEmptyStr( $rule ) ) {
                        $rule = DB::wpdb()->prepare( self::getTableAlias() . ".`meta_key` = %s", $element ) . " AND " . $rule;
                }

                Filter::addWhere( $rule );
        }

        
        private static function addJoinQuery() {

                if ( self::$isJoinQueryAdded ) {
                        return;
                }

                self::$isJoinQueryAdded = true;

                Filter::addJoin( " LEFT JOIN " . DB::wpdb()->commentmeta . " AS " . self::getTableAlias() . " ON (" . self::getTableAlias() . ".`comment_id` = " . DB::wpdb()->comments . ".`comment_ID`) " );
        }

}
