<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        const FIELD_TYPE = "standard";

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'ID', 'type' => self::FIELD_TYPE, 'element' => 'ID' ],
                                [ 'label' => 'Title', 'type' => self::FIELD_TYPE, 'element' => 'post_title' ],
                                [ 'label' => 'Content', 'type' => self::FIELD_TYPE, 'element' => 'post_content' ],
                                [ 'label' => 'Excerpt', 'type' => self::FIELD_TYPE, 'element' => 'post_excerpt' ],
                                [ 'label' => 'Date', 'type' => self::FIELD_TYPE, 'element' => 'post_date', 'isDate' => true ],
                                [ 'label' => 'Post Type', 'type' => self::FIELD_TYPE, 'element' => 'post_type' ],
                                [ 'label' => 'Slug', 'type' => self::FIELD_TYPE, 'element' => 'post_name' ],
                                [ 'label' => 'Permalink', 'type' => self::FIELD_TYPE, 'element' => 'guid' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Post/Fields/Standard', $fields, Settings::getContentType() );
        }
}
