<?php



namespace WpieApp\Modules\Export\View\Setup;

defined( 'WPIE__FILE__' ) || exit;


class Settings {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Setup/Settings',
                        [
                                "title"    => __( 'Settings', 'wp-import-export' ),
                                "desc"     => __( 'Load, Save, Update', 'wp-import-export' ),
                                "order"    => 10,
                                "isActive" => true,
                                "fields"   => [
                                        "load-settings"  => [
                                                "order"      => 10,
                                                "label"      => __( 'Load / Update / Delete Settings', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "setting-list"  => [
                                                                "type"        => "select",
                                                                "placeholder" => __( "Choose Setting", 'wp-import-export' ),
                                                                "order"       => 5,
                                                                "class"       => "wpie-setting-list wpie-saved-setting-list",
                                                                "default"     => [],
                                                                "description" => __( 'It will load previously saved settings', 'wp-import-export' ),
                                                                "choices"     => []
                                                        ],
                                                        "submit-button" => [
                                                                'col-class'  => 'col-auto',
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Update', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check me-2",
                                                                "class"      => "wpie-update-setting-btn btn-primary d-none mb-4 wpie-load-setting-btns",
                                                        ],
                                                        "delete-button" => [
                                                                'col-class'  => 'col-auto',
                                                                "type"       => "button",
                                                                "order"      => 130,
                                                                "label"      => __( 'Delete', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-xmark me-2",
                                                                "class"      => "wpie-delete-setting-btn btn-danger d-none mb-4 wpie-load-setting-btns",
                                                        ]
                                                ],
                                        ],
                                        "load-exports"   => [
                                                "order"      => 20,
                                                "label"      => __( 'Load settings from previous exports', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "setting-list" => [
                                                                "type"        => "select",
                                                                "placeholder" => __( "Choose Export", 'wp-import-export' ),
                                                                "order"       => 5,
                                                                "class"       => "wpie-setting-list wpie-export-list",
                                                                "default"     => [],
                                                                "description" => __( 'Settings from previous exports will be loaded', 'wp-import-export' ),
                                                                "choices"     => []
                                                        ]
                                                ],
                                        ],
                                        "saved-settings" => [
                                                "order"      => 30,
                                                "label"      => __( 'Save New Settings', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "setting-name"  => [
                                                                "type"        => "text",
                                                                "order"       => 10,
                                                                "class"       => "wpie-save-setting-data",
                                                                "name"        => "options/setting/name",
                                                                "description" => __( 'Enter Setting Name', 'wp-import-export' ),
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-setting-btn btn-primary",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
