<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Dropbox;

use WP_Error;
use Spatie\Dropbox\Client;
use Spatie\FlysystemDropbox\DropboxAdapter;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\File\Downloader\Base\Manager as Filesystem;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends Filesystem {

	
	public static function listContents() {

		$isConnect = self::connect();
		if ( is_wp_error( $isConnect ) ) {
			return $isConnect;
		}
		return parent::listContents();
	}

	
	public static function Download() {

		$isConnect = self::connect();
		if ( is_wp_error( $isConnect ) ) {
			return $isConnect;
		}
		return parent::Download();
	}

	
	private static function connect() {

		$token = Settings::getOption( 'uploder/options/token' );

		if ( !Helper::isNonEmptyStr( $token ) ) {
			return new WP_Error( 'wpieError', __( "Dropbox API Access Token is empty", 'wp-import-export' ) );
		}

		$client = new Client( trim( $token ) );

		parent::$adapter = new DropboxAdapter( $client );

		parent::$config = [ 'case_sensitive' => false ];

		return true;
	}

}
