<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Engines\Images;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Gallery {

        
        private static $id = 0;

        
        private static $cache = [];

        
        private static function init() {

                if ( self::$id === DataCenter::getId() ) {
                        return;
                }

                self::$cache = [];
        }

        
        public static function search( $image = "" ) {

                if ( !Helper::isNonEmptyStr( $image ) ) {
                        return 0;
                }

                if ( isset( self::$cache[ $image ] ) ) {
                        return self::$cache[ $image ];
                }

                self::init();

                $id = DB::wpdb()->get_var(
                        DB::wpdb()->prepare(
                                "
                                                SELECT posts.ID
                                                FROM " . DB::wpdb()->posts . "  AS posts
                                                INNER JOIN " . DB::wpdb()->postmeta . " AS postmeta ON posts.ID = postmeta.post_id
                                                WHERE posts.post_type = 'attachment'
                                                AND posts.post_mime_type Like 'image%'                                              
                                                AND ( 
							(
								postmeta.meta_key = '_wpie_source_url'    
								AND postmeta.meta_value = %s   
							)
							OR
							(
								postmeta.meta_key = '_wp_attached_file'                                              
								AND ( 
									postmeta.meta_value = %s 
									OR postmeta.meta_value Like %s 
									OR postmeta.meta_value = %s 
									OR postmeta.meta_value Like %s
								)
							)
							OR							
							(
								post_title = %s    
							)
						)
                                                LIMIT 0, 1
                                        ",
                                esc_url_raw( $image ),
                                basename( $image ),
                                "%/" . basename( $image ),
                                sanitize_file_name( basename( $image ) ),
                                "%/" . sanitize_file_name( basename( $image ) ),
                                basename( $image )
                        )
                );

                self::$cache[ $image ] = $id;

                return $id;
        }

}
