<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Title {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Title', 'wp-import-export' ),
                        "desc"   => __( 'Attachment Title', 'wp-import-export' ),
                        "order"  => 20,
                        "uid"    => Helper::randStr( "wpie-field-" ),
                        "fields" => [
                                "item-title"     => [
                                        "order"      => 20,
                                        "label"      => __( 'Attachment Title', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-data" => [
                                                        "description" => __( 'Attachment Title', 'wp-import-export' ),
                                                        "type"        => "textarea",
                                                        "class"       => "wpie-attachment-data",
                                                        "order"       => 20,
                                                        "name"        => "fields/attachments/title/data",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only new attachments will be affected. Existing attachments will be unaffected.', 'wp-import-export' ), 'class' => 'text-danger' ]
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-separator" => [
                                        "order"      => 30,
                                        "label"      => __( 'Attachment Title separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-separator" => [
                                                        "description" => __( 'each Attachment Title separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "class"       => "wpie-attachment-data-separator",
                                                        "order"       => 30,
                                                        "name"        => "fields/attachments/title/separator",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : ||', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
