<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Post;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Options {

        
        public static function getBlocks() {

                return [
                        "title"      => __( 'Options', 'wp-import-export' ),
                        "desc"       => __( 'Options', 'wp-import-export' ),
                        "order"      => 20,
                        "block-type" => "options",
                        "fields"     => [
                                "post_type" => [
                                        "order"      => 10,
                                        "label"      => __( 'Post Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "post_type" => [
                                                        "description" => __( 'Includes only these post types.', 'wp-import-export' ),
                                                        "name"        => "fields/post/post_type/data",
                                                        "type"        => "checkbox",
                                                        "choices"     => self::getPostTypes(),
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : All', 'wp-import-export' ) ],
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

        
        public static function getPostTypes() {

                $postTypes = \get_post_types();

                $data = [];

                foreach ( $postTypes as $type => $label ) {

                        if ( \post_type_supports( $type, 'comments' ) ) {
                                $data[ $type ] = $label;
                        }
                }

                return $data;
        }

}
