<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard\Content;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard\Type;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard\CommentParent;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard\Date;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard\DateGmt;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard\Approved;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Comment/Fields/Standard', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Standard', 'wp-import-export' ),
                        "class"  => "wpie-standard-fields",
                        "order"  => 10,
                        "blocks" => [
                                "standard/content"  => Content::getBlocks(),
                                "standard/type"     => Type::getBlocks(),
                                "standard/parent"   => CommentParent::getBlocks(),
                                "standard/date"     => Date::getBlocks(),
                                "standard/date_gmt" => DateGmt::getBlocks(),
                                "standard/approved" => Approved::getBlocks(),
                        ]
                ];
        }

}
