<?php



namespace WpieApp\Modules\Import\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetectAlternative {

        
        public static function init() {

                foreach ( AutoDetect::getLabels() as $field ) {

                        static::processField( $field );
                }
        }

        
        protected static function processField( $field = '' ) {

                static::updateStandard( $field );

                static::updateUser( $field );
        }

        
        protected static function updateStandard( $field = "" ) {

                $fields = [
                        'name'             => 'title',
                        'description'      => 'content',
                        'shortdescription' => 'excerpt',
                        'postpassword'     => 'post_password',
                ];

                if ( !isset( $fields[ $field ] ) || AutoDetect::hasField( 'standard/' . $fields[ $field ] ) ) {
                        return;
                }

                AutoDetect::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updateUser( $field = "" ) {

                if ( $field !== "author" || AutoDetect::hasField( 'user/author' ) ) {
                        return;
                }
                AutoDetect::update( 'user/author', $field );
        }
}
