<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Engines;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Meta as BaseMeta;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends BaseMeta {

        
        public static function updateMeta( $key = '', $val = '' ) {

                if ( !Helper::isNonEmptyStr( $key ) ) {
                        return;
                }

                \update_post_meta( DataCenter::getId(), $key, $val );
        }

        
        public static function get( $key = '', $single = false ) {

                if ( !Helper::isNonEmptyStr( $key ) ) {
                        return '';
                }

                return \get_post_meta( DataCenter::getId(), $key, $single );
        }

        
        protected static function remove( $data = [] ) {

                $query = Helper::isNonEmptyArray( $data ) ? " AND `meta_key` NOT IN( " . DB::prepareData( $data ) . ' ) ' : '';

                DB::wpdb()->prepare( "DELETE FROM " . DB::wpdb()->postmeta . " WHERE `post_id` = %d " . $query, DataCenter::getId() );
        }

        
        protected static function getExcludes() {

                return [ '_thumbnail_id' ];
        }
}
