<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\Status;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\StickPost;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\Comment;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\Ping;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\Password;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\PostParent;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\Format;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\Template;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other\Order;

defined( 'WPIE__FILE__' ) || exit;


class Other implements InterfaceField {

        
        public static function get() {


                
                return \apply_filters( 'Wpie/Import/Post/Fields/Other', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Other', 'wp-import-export' ),
                        "class"  => "wpie-other-fields",
                        "order"  => 999,
                        "blocks" => [
                                "standard/post_status"    => Status::getBlocks(),
                                "standard/stick_post"     => StickPost::getBlocks(),
                                "standard/comment_status" => Comment::getBlocks(),
                                "standard/ping_status"    => Ping::getBlocks(),
                                "standard/post_password"  => Password::getBlocks(),
                                "standard/post_parent"    => PostParent::getBlocks(),
                                "standard/post_format"    => Format::getBlocks(),
                                "standard/page_template"  => Template::getBlocks(),
                                "standard/menu_order"     => Order::getBlocks(),
                        ]
                ];
        }

}
