<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Taxonomies\Taxonomy as Fields;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Taxonomies\Options;

defined( 'WPIE__FILE__' ) || exit;


class Taxonomy implements InterfaceField {

        
        public static function get() {

                
                $fields = \apply_filters( 'Wpie/Import/Post/Fields/Taxonomy', static::getFields(), Settings::getContentType() );

                if ( isset( $fields[ 'blocks' ] ) && Helper::isNonEmptyArray( $fields[ 'blocks' ] ) ) {
                        $fields[ 'blocks' ][ 'options' ] = Options::getBlocks();
                }

                return $fields;
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Taxonomy', 'wp-import-export' ),
                        "class"  => "wpie-taxonomy-fields",
                        "uid"    => Helper::randStr( "wpie-block-" ),
                        "order"  => 40,
                        "blocks" => Fields::getBlocks()
                ];
        }

}
