<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Search;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Meta {

        
        private static $postTypequery = "";

        
        private static $query = [];

        
        private static $options = [];

        
        const POST = "post";

        
        const POST_META = "postmeta";

        
        public static function search( $options = [] ) {

                self::$query = [];

                self::$postTypequery = '';

                self::$options = $options;

                self::buildQuery();

                return self::query();
        }

        
        private static function buildQuery() {

                if ( !self::buildTypeQuery() ) {
                        return false;
                }
                self::buildMetaQuery();
        }

        
        private static function buildTypeQuery() {

                $postTypes = isset( self::$options[ 'post_type' ] ) ? self::$options[ 'post_type' ] : "";

                $types = Helper::isNonEmptyArray( $postTypes ) ? \implode( "','", $postTypes ) : $postTypes;

                if ( !Helper::isNonEmptyStr( $types ) ) {
                        return false;
                }

                self::$postTypequery = " `" . self::POST . "`.`post_type` IN ('" . $types . "') ";

                return true;
        }

        
        private static function buildMetaQuery() {

                $metas = isset( self::$options[ 'metas' ] ) ? self::$options[ 'metas' ] : [];

                if ( !Helper::isNonEmptyArray( $metas ) ) {
                        return false;
                }

                foreach ( $metas as $meta ) {

                        $metaKey = isset( $meta[ 'key' ] ) ? $meta[ 'key' ] : "";

                        if ( !Helper::isNonEmptyStr( $metaKey ) ) {
                                continue;
                        }

                        $compare = isset( $meta[ 'compare' ] ) && trim( strtolower( $meta[ 'compare' ] ) ) === "or" ? "OR" : "AND";

                        $metaVal = isset( $meta[ 'value' ] ) ? $meta[ 'value' ] : "";

                        if ( count( self::$query ) < 1 ) {
                                $compare = "";
                        }

                        self::$query[] = DB::wpdb()->prepare( " " . $compare . " ( `" . self::POST_META . "`.`meta_key` = %s AND `" . self::POST_META . "`.`meta_value` = %s ) ", $metaKey, $metaVal );
                }
        }

        
        private static function query() {

                if ( !Helper::isNonEmptyArray( self::$query ) ) {
                        return 0;
                }

                $query = implode( " ", self::$query );

                return DB::wpdb()->get_var(
                                "SELECT `" . self::POST . "`.`ID` FROM " . DB::wpdb()->posts . " AS `" . self::POST . "` "
                                . " INNER JOIN " . DB::wpdb()->postmeta . " AS " . self::POST_META . " "
                                . " ON ( `" . self::POST . "`.`ID` = `" . self::POST_META . "`.`post_id` )
                                WHERE " . self::$postTypequery . " AND ( " . $query . " ) ORDER BY `" . self::POST . "`.`ID` ASC LIMIT 1"
                );
        }

}
