<?php



namespace WpieApp\Modules\Import\Controller\Items\Term;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\Fields\Standard;
use WpieApp\Modules\Import\Controller\Items\Term\Fields\Parents;
use WpieApp\Modules\Import\Controller\Items\Term\Fields\Meta;
use WpieApp\Modules\Import\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $type = Settings::getTaxonomy();

                
                \do_action( 'Wpie/Import/Term/Fields/Init', $type );

                
                self::$data = \apply_filters( 'Wpie/Import/Term/Fields', parent::get(), $type );

                return self::getHtml();
        }

        
        public static function getFields() {

                return [
                        "standard" => Standard::get(),
                        "parent"   => Parents::get(),
                        "meta"     => Meta::get(),
                ];
        }

}
