<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\Fields\Parents;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;

defined( 'WPIE__FILE__' ) || exit;


class TermParent {

        
        public static function getBlocks() {

                $contentType = Settings::getTaxonomyLabel();

                return [
                        "title"         => __( 'Parent', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"          => sprintf( __( '%s Parent', 'wp-import-export' ), $contentType ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "name" => [
                                        "order"      => 10,
                                        /* translators: %s: content type */
                                        "label"      => sprintf( __( '%s Parent', 'wp-import-export' ), $contentType ),
                                        "sub-fields" => [
                                                "slug" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'Parent %s slug', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/parent/slug/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "name" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'Parent %s name', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/parent/name/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
