<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Standard\Login;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Standard\Email;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Standard\Password;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Standard\FirstName;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Standard\LastName;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Standard\Role;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Standard\Capability;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/User/Fields/Standard', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Standard', 'wp-import-export' ),
                        "class"  => "wpie-standard-fields",
                        "order"  => 10,
                        "blocks" => [
                                "standard/login"      => Login::getBlocks(),
                                "standard/email"      => Email::getBlocks(),
                                "standard/password"   => Password::getBlocks(),
                                "standard/role"       => Role::getBlocks(),
                                "standard/capability" => Capability::getBlocks(),
                                "standard/firstname"  => FirstName::getBlocks(),
                                "standard/lastname"   => LastName::getBlocks(),
                        ]
                ];
        }

}
