<?php



namespace WpieApp\Modules\Import\Controller;

use WP_Error;
use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Template {

	
	public static function duplicate() {

		return Settings::duplicate();
	}

	
	public static function duplicateFile() {

		$method = Settings::getOption( 'uploder/method' );

		if ( "local" === $method ) {
			return self::duplicateLocalFile();
		}
	}

	
	public static function duplicateLocalFile() {

		$parent = Settings::get( 'parent' );

		$filedir = DB::wpdb()->get_var( DB::wpdb()->prepare( "SELECT `filedir` FROM " . DB::getPluginTable() . " where `id` = %d Limit 0,1", $parent ) );

		$oldDir = Helper::pathJoin( WPIE_UPLOAD_IMPORT_DIR, $filedir );

		$importDir = Helper::pathJoin( WPIE_UPLOAD_IMPORT_DIR, Settings::get( 'filedir' ) );

		if ( !Helper::copyDir( $oldDir, $importDir ) ) {
                        /* translators: %s: Directory path */
			return new WP_Error( 'wpieError', sprintf( __( "Can't copy %s files", 'wp-import-export' ), $oldDir ) );
		}

		Helper::copyDir( $oldDir, $importDir );

		Helper::deleteFile( Helper::pathJoin( $importDir, "log/debug.log" ) );

		return true;
	}

}
