<?php



namespace WpieApp\Modules\Import\View\FieldMapping;

defined( 'WPIE__FILE__' ) || exit;


class ManageSettings {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FieldMapping/Settings',
                        [
                                "title"    => __( 'Manage Settings', 'wp-import-export' ),
                                "desc"     => __( 'Manage Settings', 'wp-import-export' ),
                                "order"    => 20,
                                "isActive" => true,
                                "fields"   => [
                                        "load-settings"  => [
                                                "order"      => 10,
                                                "label"      => __( 'Load Saved Settings', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "setting-list"  => [
                                                                "type"        => "select",
                                                                "placeholder" => __( "Choose Setting", 'wp-import-export' ),
                                                                "order"       => 5,
                                                                "class"       => "wpie-setting-list wpie-mapping-saved-settings wpie-saved-setting-list wpie-mapping-settings-list",
                                                                "default"     => [],
                                                                "description" => __( 'It will load previously saved settings', 'wp-import-export' ),
                                                                "choices"     => []
                                                        ],
//                                                        "confirm-button" => [
//                                                                "col-class"  => "col-auto",
//                                                                "type"       => "button",
//                                                                "order"      => 120,
//                                                                "label"      => __( 'Load', 'wp-import-export' ),
//                                                                "icon-class" => "fa-solid fa-check",
//                                                                "class"      => "wpie-change-setting-btn wpie-field-mapping-load-setting-btn btn-primary",
//                                                        ],
                                                        "update-button" => [
                                                                "col-class"  => "col-auto wpie-manage-setting-btns d-none ",
                                                                "type"       => "button",
                                                                "order"      => 150,
                                                                "label"      => __( 'Update', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-update-setting-btn btn-primary",
                                                        ],
                                                        "delete-button" => [
                                                                "col-class"  => "col-auto d-none wpie-manage-setting-btns",
                                                                "type"       => "button",
                                                                "order"      => 155,
                                                                "label"      => __( 'Delete', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-close",
                                                                "class"      => "wpie-delete-setting-btn btn-danger",
                                                        ]
                                                ],
                                        ],
                                        "load-imports"   => [
                                                "order"         => 20,
                                                "label"         => __( 'Load Another Imports', 'wp-import-export' ),
                                                'wrapper-class' => "mt-5 pt-3",
                                                "sub-fields"    => [
                                                        "setting-list" => [
                                                                "type"        => "select",
                                                                "placeholder" => __( "Choose Import", 'wp-import-export' ),
                                                                "order"       => 5,
                                                                "class"       => "wpie-setting-list wpie-mapping-import-settings wpie-mapping-settings-list wpie-load-import-settings",
                                                                "default"     => [],
                                                                "description" => __( 'Settings from previous imports will be loaded', 'wp-import-export' ),
                                                                "choices"     => []
                                                        ],
//                                                        "submit-button" => [
//                                                                "type"       => "button",
//                                                                "order"      => 120,
//                                                                "label"      => __( 'Load', 'wp-import-export' ),
//                                                                "icon-class" => "fa-solid fa-check",
//                                                                "class"      => "wpie-change-setting-btn btn-primary",
//                                                        ]
                                                ],
                                        ],
                                        "saved-settings" => [
                                                "order"         => 30,
                                                "label"         => __( 'Save New Settings', 'wp-import-export' ),
                                                'wrapper-class' => "mt-5 pt-3",
                                                "sub-fields"    => [
                                                        "setting-name"  => [
                                                                'wrapper-class' => "mt-5",
                                                                "type"          => "text",
                                                                "name"          => "options/setting/name",
                                                                "order"         => 10,
                                                                "class"         => "wpie-save-setting-data",
                                                                "description"   => __( 'Enter Setting Name', 'wp-import-export' ),
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-setting-btn btn-primary",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
