<?php



namespace WpieApp\Modules\Import\View\FileSettings;

defined( 'WPIE__FILE__' ) || exit;


class FileSettings {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSettings/FileSettings',
                        [
                                "title"  => __( 'File Settings', 'wp-import-export' ),
                                "desc"   => __( 'Manage File Settings', 'wp-import-export' ),
                                "order"  => 10,
                                "fields" => [
                                        "select-sheet"  => [
                                                "order"         => 20,
                                                "label"         => __( 'Change Excel Sheet', 'wp-import-export' ),
                                                "wrapper-class" => "wpie-file-settings-options wpie-file-settings-options-excel wpie-excel-sheet-lists d-none",
                                                "sub-fields"    => [
                                                        "button" => [
                                                                "order"       => 99,
                                                                "description" => __( 'Multiple sheets are available', 'wp-import-export' ),
                                                                "type"        => "button",
                                                                "label"       => __( 'Show Excel Sheets', 'wp-import-export' ),
                                                                "icon-class"  => "fa-solid fa-eye",
                                                                "class"       => "wpie-show-excel-sheet-btn btn-primary"
                                                        ]
                                                ],
                                        ],
                                        "xml-root"      => [
                                                "order"         => 30,
                                                "label"         => __( 'Change Elements Path', 'wp-import-export' ),
                                                "wrapper-class" => "wpie-file-settings-options wpie-file-settings-options-xml d-none",
                                                "sub-fields"    => [
                                                        "button" => [
                                                                "order"       => 99,
                                                                "description" => __( 'Multiple paths are available', 'wp-import-export' ),
                                                                "type"        => "button",
                                                                "label"       => __( 'Show Paths', 'wp-import-export' ),
                                                                "icon-class"  => "fa-solid fa-eye",
                                                                "class"       => "wpie-show-xml-roots-btn btn-primary"
                                                        ]
                                                ],
                                        ],
                                        "csv-delimiter" => [
                                                "order"         => 40,
                                                "label"         => __( 'CSV Delimiter', 'wp-import-export' ),
                                                "wrapper-class" => "wpie-file-settings-options wpie-file-settings-options-csv d-none",
                                                "sub-fields"    => [
                                                        "csv-delimiter" => [
                                                                "description" => __( 'CSV Delimiter', 'wp-import-export' ),
                                                                "class"       => "wpie-csv-delimiter",
                                                                "type"        => "text",
                                                                "hint"        => [
                                                                        [ 'text' => __( 'Default : Auto Detect', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'Leave Empty for Auto Detect', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'Use \t or tab for tab as Delimiter', 'wp-import-export' ) ],
                                                                ]
                                                        ]
                                                ],
                                        ],
                                        "first-row"     => [
                                                "order"         => 50,
                                                "label"         => __( 'First Row is Title', 'wp-import-export' ),
                                                "wrapper-class" => "wpie-file-settings-options wpie-file-settings-options-excel wpie-file-settings-options-csv d-none",
                                                "sub-fields"    => [
                                                        "first-row-setting" => [
                                                                "type"        => "checkbox",
                                                                "class"       => "first-row-is-title",
                                                                "is-switch"   => true,
                                                                "default"     => [ "1" ],
                                                                "description" => __( 'Does the first row contain data or a header?', 'wp-import-export' ),
                                                                "choices"     => [ "1" => "First row contains the headers" ],
                                                                "hint"        => [
                                                                        [ 'text' => __( 'If the first row contains a header, it will be skipped during the import process', 'wp-import-export' ) ],
                                                                ]
                                                        ],
                                                ],
                                        ],
                                        "submit-button" => [
                                                "order"         => 100,
                                                "wrapper-class" => "wpie-save-file-settings-btn-wrapper",
                                                "sub-fields"    => [
                                                        "button" => [
                                                                "type"       => "button",
                                                                "label"      => __( 'Save', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-file-settings-btn btn-primary"
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
