<?php



namespace WpieApp\Modules\Import\View\FileSetup;

defined( 'WPIE__FILE__' ) || exit;


class GoogleDrive {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/GoogleDrive',
                        [
                                "title"        => __( 'From Google Drive', 'wp-import-export' ),
                                "desc"         => __( 'Download file from google drive', 'wp-import-export' ),
                                "order"        => 70,
                                "notes"        => self::getNotes(),
                                "pro-backdrop" => WPIE_PRO ? false : true,
                                "fields"       => [
                                        "client-id"     => [
                                                "order"      => 5,
                                                "label"      => __( 'Client Id', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-gd-client-id",
                                                                "description" => __( 'API Client Id', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "client-secret" => [
                                                "order"      => 10,
                                                "label"      => __( 'Client Secret', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-gd-client-secret",
                                                                "description" => __( 'API Client secret', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "refresh-token" => [
                                                "order"      => 15,
                                                "label"      => __( 'Refresh Token', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-gd-refresh-token",
                                                                "description" => __( 'API Refresh Token', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "submit-button" => [
                                                "order"      => 120,
                                                "sub-fields" => [
                                                        [
                                                                "type"       => "button",
                                                                "order"      => 5,
                                                                "label"      => __( 'Connect', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-link",
                                                                "class"      => "wpie-connnect-gd-btn btn-primary"
                                                        ],
                                                ]
                                        ],
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/GoogleDrive/Notes',
                        [
                                [
                                        "type"       => "info",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => "mb-4 wpie-info-alert",
                                        "text"       => sprintf(
                                                /* translators: Link to the SFTP upload documentation. */
                                                __(
                                                        '<a href="%s" target="_blank" class="wpie-info-alert-link">Click here</a> to learn the step-by-step process for downloading files from google drive',
                                                        'wp-import-export'
                                                ),
                                                \esc_url( WPIE_DOC_URL . 'downloading-files-from-google-drive' )
                                        )
                                ]
                        ]
                );
        }
}
